<?php
/**
 * @package         
 * @copyright       Copyright (C) 2017 MDM-IT Mariusz Dziewulski. All rights reserved.
 * @license         see LICENSE.txt
 */

    //error_reporting(0);    
    include_once("permition_app_class.php");
    $app_permit=new app_permit();
    if($app_permit->permit_module(basename(__FILE__))==='0') exit;
    include("config/config.php");

    include_once("main_window_menu.php");
    include_once("main_window_toolbar.php");

?>
<html>
<header>    
<title>NetMap4Nagios</title>
<link type="text/css" href="js/jquery/css/redmond/jquery-ui.custom.css" rel="stylesheet" />
<script type="text/javascript" src="js/jquery/jquery.js"></script>
<script  type="text/javascript" src="js/jquery/jquery-ui.js"></script>

<link   rel="stylesheet" type="text/css" media="screen" href="js/jqGrid/css/ui.jqgrid.css" />
<link rel="stylesheet" type="text/css" media="screen" href="js/jqGrid/css/mdmit/redmond/ui.jqgrid_md.css" />
<!--<link rel="stylesheet" type="text/css" media="screen" href="js/jqGrid-4.8.2/css/ui.jqgrid.css" />-->
<script  src="js/jqGrid/js/i18n/grid.locale-en.js" type="text/javascript"></script>
<script  src="js/jqGrid/js/jquery.jqGrid.min.js" type="text/javascript"></script>
<script  type="text/javascript" src="js/jqGrid/js/jquery.contextmenu.js"></script>

<link rel="stylesheet" href="js/Zebra/css/mdmit/zebra_dialog.css" type="text/css">
<script type="text/javascript" src="js/Zebra/zebra_dialog.js"></script>
<link type="text/css" href="js/jquery_window/css/jquery.window.css" rel="stylesheet" />
<link type="text/css" href="js/jquery_window/css/mdmit_window.css" rel="stylesheet" />
<script type="text/javascript" src="js/jquery_window/jquery.window.min.js"></script>

<script type="text/javascript" src="lib/mdmit_dialogs.js"></script>

<!--<link type="text/css" href="lib/main_window_style.css" rel="stylesheet" />-->
<script type="text/javascript" src="lib/mdmit_lib.js"></script>
<style>
#grid tr:hover{  
    background:none;
}    
.ui-jqgrid .ui-jqgrid-htable th{
    color: #ffffff; 
    font-weight: bold;
    /*font-family: Lucida Grande, Lucida Sans, Arial,sans-serif,Tahoma,Verdana;*/
    font-size: 10px;
    background-image: url(js/jquery/css/redmond/images/ui-bg_gloss-wave_55_5c9ccc_500x100.png);
}
.ui-jqgrid .ui-jqgrid-htable th,
.ui-jqgrid .ui-jqgrid-btable .jqgrow td {
    /*height: 18px !important;*/
}
.evenTableRow
{
   background: #F4F4FF;
   /*background-color:#e8eef4;*/
}
.oddTableRow
{
   background: #e8eef4;
}    
/*.ui-jqgrid tr.jqgrow td 
{
    white-space: normal !important;
}*/
body {
	margin: 0 0 0 0;
	padding: 0;        
}
    
.ui-button-text {
   font-size: 0.9em !important;
   line-height: 1.2 !important;
   font-style: normal;
   font-weight: normal;
   padding: 0.2em 0.8em !important;
}
.ui-button {
   border-radius: 2px !important; 
}
</style>

<body>
<div id="main_page_id" style="margin-bottom: 2px; margin-top: 5px; margin-left: 0px; margin-right: 0px;" align="center">
    <table id="grid1"></table>
    <div id="pager1"></div>
    <div id="mysearch"></div>
</div>
<!--
<table border="0" cellpadding="1" cellspacing="1" width="100%">
  <tr>
    <td width="100%">
        <table id="grid1"></table>
        <div id="pager1"></div>
        <div id="mysearch"></div>      
    <div id='loading' style="display:none;position:absolute;top:50%;left:50%;font-family: Verdana; font-size: 6px; color: #000080;">
        <img border="0" src="img/ajax/ajax_loader.gif">
    </div>
    </td>
  </tr>
</table>
-->
<script type="text/javascript">      
var mygrid = jQuery("#grid1").jqGrid({
   	url:"servers/serwer_snmptt.php?q=select_all",
        datatype: "xml",
        colNames:['Host name','Adress IP','Event','Output','Trap time','Uptime','Category','Severity'],
        colModel:[
                  {name:'hostname',    index:'hostname',  title:false, width:30, hidden:false,align:"left"},
                  {name:'address_ip',  index:'agentip',   title:false, width:30, hidden:true,align:"left"},
                  {name:'eventname',   index:'eventname', title:false, width:20, hidden:false,align:"left"},
                  {name:'formatline',  index:'formatline',title:false, width:150,hidden:false,align:"left"},
                  {name:'traptime',    index:'traptime',  title:false, width:30, hidden:false,align:"left"},
                  {name:'uptime',      index:'uptime',    title:false, width:30, hidden:false,align:"left"},
                  {name:'category',    index:'category',  title:false, width:30, hidden:false,align:"left"},
                  {name:'severity',    index:'severity',  title:false, width:30, hidden:false,align:"left"}
   	],
        rowNum:100,
   	rowList:[100,200,300,1000,3000,10000],
        emptyrecords: "No data",
   	pager: '#pager1',
        toppager: true,
        mType: "POST",
   	sortname: 'hostname',
        viewrecords: true,
        gridView: true,
        sortorder: "asc",
        autowidth: true,
        autoheight: true,
        caption: 'SNMP Traps',
        subGrid: false,
	subGridOptions: 
            { 
                "plusicon" : "ui-icon-triangle-1-e", 
                "minusicon" : "ui-icon-triangle-1-s", 
                "openicon" : "ui-icon-arrowreturn-1-e" 
            },
        gridComplete: function(){
           $("#grid1 tr:nth-child(even) ").addClass("evenTableRow");
           $("#grid1 tr:nth-child(odd) " ).addClass("oddTableRow");
        }
});
$(window).bind('resize', function() {
    $("#grid1").setGridHeight($(window).height()-200);
    $("#grid1").setGridWidth($(window).width()-8);
}).trigger('resize');

jQuery("#grid1").jqGrid('navGrid','#pager1',{edit:false,add:false,del:false,search:true,refresh:true,cloneToTop:true},
{},
{},
{},
{closeOnEscape:true,multipleSearch:true,searchOnEnter:true,multipleGroup:true,stringResult:true, showQuery:true});

//-----------------------------------------------------------------------------------------------
jQuery("#grid1").jqGrid('filterToolbar',{stringResult: true,searchOnEnter : true});
mygrid[0].toggleToolbar();
jQuery("#grid1").jqGrid('navButtonAdd',"#grid1_toppager",{
   caption:"",
   title:"Fast Filter",
   buttonicon:'ui-icon-shuffle',
   onClickButton:function(){
         mygrid[0].toggleToolbar();
      }
});

</script>    

<?php
    require_once("main_window_footer_end.php");
?>
